/******************************************************************************
 *
 * Filename: java_lang_System.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  25th March 2002
 *
 * Purpose:  Native method implementations for java.lang.System.
 *
 * (c) Copyright R.H.Thornburrow, 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_lang_System_h

#define _java_lang_System_h


#include "../engine/native.h"


#ifdef __cplusplus
extern "C" {
#endif


extern void     Java_java_lang_System_arraycopy( JNIEnv* env, jclass staticself,
												 jobject src, jint src_position,
												 jobject dst, jint dst_position, jint length);

extern jlong    Java_java_lang_System_currentTimeMillis( JNIEnv* env, jclass staticself );
extern jobject  Java_java_lang_System_initProperties( JNIEnv* env, jclass staticself, jobject props );
extern void     Java_java_lang_System_setIn0( JNIEnv* env, jclass staticself, jobject in );
extern void     Java_java_lang_System_setOut0( JNIEnv* env, jclass staticself, jobject out );
extern void     Java_java_lang_System_setErr0( JNIEnv* env, jclass staticself, jobject err );


#ifdef __cplusplus
}
#endif

#endif /* _java_lang_System_h */
